Package com.sun.jna.platform.win32

## Class WinCrypt.CRL_CONTEXT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CRL_CONTEXT

Direct Known Subclasses:
  `WinCrypt.CRL_CONTEXT.ByReference`

Enclosing interface:
  WinCrypt

    @FieldOrder({"dwCertEncodingType","pbCrlEncoded","cbCrlEncoded","pCrlInfo","hCertStore"})
    public static class WinCrypt.CRL_CONTEXT
    extends Structure

The CRL_CONTEXT structure contains both the encoded and decoded representations of a certificate revocation list (CRL). CRL contexts returned by any CryptoAPI function must be freed by calling the CertFreeCRLContext function.

See Also:
  MSDN

### Nested Class Summary

Nested Classes
`static class` `WinCrypt.CRL_CONTEXT.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cbCrlEncoded`
`int` `dwCertEncodingType`
`WinCrypt.HCERTSTORE` `hCertStore`
`Pointer` `pbCrlEncoded`
`WinCrypt.CRL_INFO.ByReference` `pCrlInfo`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`CRL_CONTEXT()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwCertEncodingType

    public int dwCertEncodingType

#### pbCrlEncoded

    public Pointer pbCrlEncoded

#### cbCrlEncoded

    public int cbCrlEncoded

#### pCrlInfo

    public WinCrypt.CRL_INFO.ByReference pCrlInfo

#### hCertStore

    public WinCrypt.HCERTSTORE hCertStore

### Constructor Detail

#### CRL_CONTEXT

    public CRL_CONTEXT()